source ../config.env

# Find the first file in the directory that starts with "github:"
GITHUB_IMAGE=`find ./official-images -name "github:*" | head -n 1 | cut -d "/" -f 3 | cut -d "#" -f 1`
GITHUB_IMAGE_FULL=`find ./official-images -name "github:*" | head -n 1 | cut -d "/" -f 3`
if [ -z "$GITHUB_IMAGE" ]; then
  echo "No github image found"
  exit 1
fi

GITHUB_TAG=`echo $GITHUB_IMAGE | cut -d ':' -f 2`
docker load -i "./official-images/$GITHUB_IMAGE_FULL"

../ghtk r d ./github/vault.rb
MASTER_KEY_FINGERPRINT=`gpg --homedir "../licensing/gpg_data" --list-keys --with-fingerprint $MASTER_KEY_EMAIL | grep -z "^pub.*      " | sed -n 2p | cut -d ' ' -f 7-17 | sed 's/ //g'`
sed -i "s/MASTER_FINGERPRINT = '.*'/MASTER_FINGERPRINT = '$MASTER_KEY_FINGERPRINT'/g" github/vault.rb
../ghtk pgp-replacer ./github/vault.rb ../licensing/image_keys/master.asc > ./github/vault.rb.new

cd github
sed -i "s/FROM github:.*/FROM github:$GITHUB_TAG/g" Dockerfile
docker build -t "github:$GITHUB_TAG" .
cd ..

GITHUB_IMAGE_SHA256=`docker images --no-trunc --quiet "github:$GITHUB_TAG"`

GITHUB_IMAGE_EXPORT_NAME="github:$GITHUB_TAG#$GITHUB_IMAGE_SHA256"
mkdir -p "./modified-images"
docker save "github:$GITHUB_TAG" > "./modified-images/$GITHUB_IMAGE_EXPORT_NAME.tar"
